package com.io.yutian.auchestshop.util;

import org.bukkit.Material;
import org.jetbrains.annotations.NotNull;

import java.util.EnumSet;

public class ShopUtil {

    private static final EnumSet<Material> SHOPABLES = EnumSet.noneOf(Material.class);

    static {
        SHOPABLES.add(Material.CHEST);
        SHOPABLES.add(Material.TRAPPED_CHEST);
    }

    public static boolean isShoppables(@NotNull Material material) {
        return SHOPABLES.contains(material);
    }

    public static EnumSet<Material> getShopables() {
        return SHOPABLES;
    }

}
